Skip to main content
GET
/
wallet
/
balance
Get wallet balance
curl --request GET \
  --url https://api.natural.co/wallet/balance \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "walletBalance",
    "id": "wal_550e8400e29b41d4a716446655440000",
    "attributes": {
      "breakdown": {
        "operatingFunded": {
          "amountMinor": 100000
        },
        "operatingAdvanced": {
          "amountMinor": 0
        },
        "escrowFundedSettled": {
          "amountMinor": 25000
        },
        "escrowAdvanced": {
          "amountMinor": 0
        },
        "holdsOutbound": {
          "amountMinor": 5000
        }
      },
      "available": {
        "amountMinor": 120000
      },
      "pendingClaimAmountMinor": 5000,
      "pendingClaimCount": 1
    },
    "relationships": {
      "party": {
        "data": {
          "type": "party",
          "id": "pty_7c9e6679e29b41d4a716446655440001"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

partyId
string

Response

Successful Response

data
WalletBalanceResource · object
required